# ArcPy サイト パッケージのインポート
import arcpy
# 「ParcelPts」フィーチャクラスの変数を作成
fc = r"D:\Student\PYTS\Data\Geodatabase\CountyData.gdb\ParcelPts"
# フィールドのリストを作成
uFields = ["SquFoot", "TaxValue", "PriceSquFt"]
# Update カーソルを作成
with arcpy.da.UpdateCursor(fc, uFields) as uCursor:
    for row in uCursor:
        row[2] = row[1] / row[0]
        uCursor.updateRow(row)
# カーソルの削除
del uCursor

# Search カーソルの引数に入れる変数を作成
# フィールドのリストの作成
sFields = ["Parcel_ID", "Owner_Name", "Phone_Number", "PriceSquFt"]
# 条件式を作成
exp = '"PriceSquFt" <= 90'
# CSV ファイルのフィールド名を作成
parcelList = ["Parcel_ID,Owner_Name,Phone_Number,PriceSquFt"]
# Search カーソルを作成
with arcpy.da.SearchCursor(fc, sFields, exp) as sCursor:
    for row in sCursor:
        rowText = f"{row[0]},{row[1]},{row[2]},{row[3]}"
        parcelList.append(rowText)
# カーソルの削除
del sCursor

# 新しい行にリスト内の各値が書き込まれるよう設定
textBody = '\n'.join(parcelList)
# CSV ファイルに書き込み
csvFile = open(r"D:\Student\PYTS\Data\CSV\AssessmentParcel.csv", "w")
csvFile.write(textBody)
csvFile.close()
print("スクリプトの実行が完了しました。")

